Skip to main content
POST
/
folder
/
{folder_id}
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

folder_id = "a3740204-726f-4547-b0f8-8831a5147207"

response = client.folders.get(folder_id)
print(response)
{
  "success": true,
  "folder": {
    "_id": "698b090f0cc08f3e477484f6",
    "folder_id": "a3740204-726f-4547-b0f8-8831a5147207",
    "user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
    "name": "Template agents",
    "description": "",
    "agent_ids": [
      "fad523e2-2645-4bc0-87ad-2b1727b1a939"
    ],
    "created_at": {
      "$date": "2026-02-10T10:31:43.777Z"
    },
    "updated_at": {
      "$date": "2026-02-19T12:29:10.978Z"
    },
    "agents": [],
    "agent_count": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Path Parameters

folder_id
string
default:a3740204-726f-4547-b0f8-8831a5147207
required

Folder ID

Example:

"a3740204-726f-4547-b0f8-8831a5147207"

Response

Folder details

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.